'use strict';

/**
 * CLD接口路由
 *
 * @author EllisRan.
 * @date 2018/9/25
 * @version
 */

const express = require("express");
const CLDController = require("../controllers/cld_controller");


module.exports = function (app) {
    let router = express.Router();
    let cldController = new CLDController();

    router.get('/getCategoryStaff', cldController.getCategoryStaff);

    router.get('/getUsersAndCompilation', cldController.getUsersAndCompilationList);

    router.get('/getCompilationList', cldController.getCompilationList);

    router.post('/setUserUpgrade', cldController.setUsersUpgrade);

    router.get('/getUsersInfo', cldController.getUsersInfo);

    router.get('/getUserList', cldController.getUserList);

    router.post('/getUserOnlineInfo', cldController.getUserOnlineInfo);

    router.get('/getRejectUsers', cldController.getRejectUsers);

    router.get('/provinceList', cldController.provinceList);

    app.use('/cld',router)
};
